al_lock_bitmap_blocked(3)

NAME

al_lock_bitmap_blocked - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    ALLEGRO_LOCKED_REGION *al_lock_bitmap_blocked(ALLEGRO_BITMAP *bitmap,
       int flags)

DESCRIPTION

Like al_lock_bitmap(3), but allows locking bitmaps with a blocked pixel format (i.e. a format for which al_get_pixel_block_width(3) or al_get_pixel_block_height(3) do not return 1) in that format. To that end, this function also does not allow format conversion. For bitmap formats with a block size of 1, this function is identical to calling al_lock_bitmap(bmp, al_get_bitmap_format(bmp), flags).

    Note: Currently there are no drawing functions that work when the bitmap is locked with a compressed format. al_get_pixel(3) will also not work.

SINCE

5.1.9

SEE ALSO

al_lock_bitmap(3), al_lock_bitmap_region_blocked(3)